Skip to main content
DELETE
/
projects
/
{projectId}
/
hosts
/
{hostId}
Delete a host
curl --request DELETE \
  --url https://app.mcpjam.com/api/v1/projects/{projectId}/hosts/{hostId} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://app.mcpjam.com/api/v1/projects/{projectId}/hosts/{hostId}"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};

fetch('https://app.mcpjam.com/api/v1/projects/{projectId}/hosts/{hostId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{ "id": "<string>", "deleted": true }

Authorizations

Authorization
string
header
required

MCPJam API key (sk_…). Create one at Settings → API keys. Guest sessions cannot use the API, and API keys cannot manage other API keys.

Path Parameters

projectId
string
required

ID of the hosted project that contains the server.

hostId
string
required

Host ID, as returned by the project's host list.

Response

The host was deleted.

id
string
required
deleted
enum<boolean>
required
Available options:
true